Send SMS notification to patient that a care context is linked
Send SMS notifications to patients, informing them that a care context has been successfully linked to their ABHA (Ayushman Bharat Health Account) address.
By invoking this API, HIPs can ensure that patients are promptly notified about the linkage of their health records, enhancing transparency and patient engagement. This notification process is essential for keeping patients informed and involved in the management of their health information, thereby supporting a more connected and responsive healthcare system. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The mobile number to send SMS Identifier and name of the health information provider. The service ID of the health information provider The name of the health information provider Bad Request The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare ( Unauthorized 900902 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. server cannot find the requested resource The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error ABDM-9999 - Unknown exception. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredBody
notificationobjectRequirednotification.phoneNostringRequirednotification.hipobjectRequirednotification.hip.idstringRequirednotification.hip.namestringRequiredResponses
400errorobjecterror.codestringRequiredABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.messagestring
Callbacks
- After this call, ABDM posts This API endpoint is a call back API for /api/hiecm/hip/v3/link/patient/links/sms/notify2 to
/api/v3/patients/sms/on-notify. Open the callback.